Bug 22207 - Course reserves page does not have unique body id
Summary: Course reserves page does not have unique body id
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-24 23:42 UTC by Lucas Gass
Modified: 2019-02-25 09:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22207: course reserves page does not have unique <body> id test plan go to cgi-bin/koha/opac-course-reserves.pl in the OPAC and make sure the body id is opac-course-reserves (1010 bytes, patch)
2019-01-25 15:42 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22207: course reserves page does not have unique <body> id (1.03 KB, patch)
2019-01-25 15:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22207: course reserves page does not have unique <body> id (1.20 KB, patch)
2019-01-25 20:06 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22207: course reserves page does not have unique <body> id (1.26 KB, patch)
2019-01-27 10:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-01-24 23:42:53 UTC
The course reserve <body> id is "opac-main". This is problematic when trying to use unique CSS or jQuery selectors.
Comment 1 Lucas Gass 2019-01-25 15:42:11 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-01-25 15:57:38 UTC
Created attachment 84408 [details] [review]
Bug 22207: course reserves page does not have unique <body> id

Test plan: Go to cgi-bin/koha/opac-course-reserves.pl in the OPAC and
make sure the body id is opac-course-reserves

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Mikaël Olangcay Brisebois 2019-01-25 20:06:35 UTC
Created attachment 84430 [details] [review]
Bug 22207: course reserves page does not have unique <body> id

Test plan: Go to cgi-bin/koha/opac-course-reserves.pl in the OPAC and
make sure the body id is opac-course-reserves

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Comment 4 Katrin Fischer 2019-01-27 10:22:57 UTC
Created attachment 84455 [details] [review]
Bug 22207: course reserves page does not have unique <body> id

Test plan: Go to cgi-bin/koha/opac-course-reserves.pl in the OPAC and
make sure the body id is opac-course-reserves

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-01-28 14:18:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-01 12:30:08 UTC
Pushed to 18.11.x for 18.11.03
Comment 7 Jesse Maseto 2019-02-06 18:05:52 UTC
Pushed to 18.05.x for 18.05.09
Comment 8 Fridolin SOMERS 2019-02-12 15:22:25 UTC
Pushed to 17.11.x for 17.11.15

"One main page to rule them all" ;)